Skip to main content
GET
get a budgeted run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

runId
string
required

The run ID

Minimum string length: 1
Example:

"brun_123"

Query Parameters

project_id
string

Project override for main/internal dashboard keys

Response

The current budget run summary

runId
string
required
status
enum<string>
required
Available options:
running,
completed,
expired,
canceled,
budget_exceeded,
failed
customerId
string
required
currency
string
required
workloadType
enum<string> | null
required
Available options:
agent,
workflow,
job,
tool,
custom,
null
workloadId
string | null
required
traceId
string | null
required
parentRunId
string | null
required
budgetAmountMinor
integer
required

Budget in currency minor units (cents).

consumedAmountMinor
integer
required

Consumed in currency minor units (cents).

remainingAmountMinor
integer
required

Remaining in currency minor units (cents).

endedAt
integer | null

Authoritative run terminal timestamp in epoch milliseconds; null while running.

Required range: x >= 0